Open CASCADE Technology: Interface_EntityIterator Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions | Protected Member Functions
Interface_EntityIterator Class Reference

Defines an Iterator on Entities. Allows considering of various criteria. More...

`#include <Interface_EntityIterator.hxx>`

Inheritance diagram for Interface_EntityIterator:
[legend]

## Public Member Functions
| Interface_EntityIterator ()
| Defines an empty iterator (see AddList & AddItem) More...
| Interface_EntityIterator (const Handle< TColStd_HSequenceOfTransient > &list)
| Defines an iterator on a list, directly i.e. without copying it. More...
void | AddList (const Handle< TColStd_HSequenceOfTransient > &list)
| Gets a list of entities and adds its to the iteration list. More...
void | AddItem (const Handle< Standard_Transient > &anentity)
| Adds to the iteration list a defined entity. More...
void | GetOneItem (const Handle< Standard_Transient > &anentity)
| same as AddItem (kept for compatibility) More...
void | SelectType (const Handle< Standard_Type > &atype, const Standard_Boolean keep)
| Selects entities with are Kind of a given type, keep only them (is keep is True) or reject only them (if keep is False) More...
Standard_Integer | NbEntities () const
| Returns count of entities which will be iterated on Calls Start if not yet done. More...
Standard_Integer | NbTyped (const Handle< Standard_Type > &type) const
| Returns count of entities of a given type (kind of) More...
Interface_EntityIterator | Typed (const Handle< Standard_Type > &type) const
| Returns the list of entities of a given type (kind of) More...
virtual void | Start () const
| Allows re-iteration (useless for the first iteration) More...
Standard_Boolean | More () const
| Says if there are other entities (vertices) to iterate the first time, calls Start. More...
void | Next () const
| Sets iteration to the next entity (vertex) to give. More...
const Handle< Standard_Transient > & | Value () const
| Returns the current Entity iterated, to be used by Interface tools. More...
Handle< TColStd_HSequenceOfTransient > | Content () const
| Returns the content of the Iterator, accessed through a Handle to be used by a frontal-engine logic Returns an empty Sequence if the Iterator is empty Calls Start if not yet done. More...
virtual void | Destroy ()
| Clears data of iteration. More...
virtual | ~Interface_EntityIterator ()

## Protected Member Functions
void | Reset ()
| Allows subclasses of EntityIterator to reevaluate an iteration. More...

## Detailed Description

Defines an Iterator on Entities. Allows considering of various criteria.

## Constructor & Destructor Documentation

Interface_EntityIterator::Interface_EntityIterator | ( |  | ) |

Defines an empty iterator (see AddList & AddItem)

Interface_EntityIterator::Interface_EntityIterator | ( | const Handle< TColStd_HSequenceOfTransient > & | list | ) |

Defines an iterator on a list, directly i.e. without copying it.

virtual Interface_EntityIterator::~Interface_EntityIterator | ( |  | ) |
| inlinevirtual

## Member Function Documentation

void Interface_EntityIterator::AddItem | ( | const Handle< Standard_Transient > & | anentity | ) |

Adds to the iteration list a defined entity.

void Interface_EntityIterator::AddList | ( | const Handle< TColStd_HSequenceOfTransient > & | list | ) |

Gets a list of entities and adds its to the iteration list.

Handle< TColStd_HSequenceOfTransient > Interface_EntityIterator::Content | ( |  | ) | const

Returns the content of the Iterator, accessed through a Handle to be used by a frontal-engine logic Returns an empty Sequence if the Iterator is empty Calls Start if not yet done.

virtual void Interface_EntityIterator::Destroy | ( |  | ) |
| virtual

Clears data of iteration.

void Interface_EntityIterator::GetOneItem | ( | const Handle< Standard_Transient > & | anentity | ) |

same as AddItem (kept for compatibility)

Standard_Boolean Interface_EntityIterator::More | ( |  | ) | const

Says if there are other entities (vertices) to iterate the first time, calls Start.

Standard_Integer Interface_EntityIterator::NbEntities | ( |  | ) | const

Returns count of entities which will be iterated on Calls Start if not yet done.

Standard_Integer Interface_EntityIterator::NbTyped | ( | const Handle< Standard_Type > & | type | ) | const

Returns count of entities of a given type (kind of)

void Interface_EntityIterator::Next | ( |  | ) | const

Sets iteration to the next entity (vertex) to give.

void Interface_EntityIterator::Reset | ( |  | ) |
| protected

Allows subclasses of EntityIterator to reevaluate an iteration.

void Interface_EntityIterator::SelectType | ( | const Handle< Standard_Type > & | atype,
|  | const Standard_Boolean | keep
| ) |  |

Selects entities with are Kind of a given type, keep only them (is keep is True) or reject only them (if keep is False)

virtual void Interface_EntityIterator::Start | ( |  | ) | const
| virtual

Allows re-iteration (useless for the first iteration)

Interface_EntityIterator Interface_EntityIterator::Typed | ( | const Handle< Standard_Type > & | type | ) | const

Returns the list of entities of a given type (kind of)

const Handle< Standard_Transient >& Interface_EntityIterator::Value | ( |  | ) | const

Returns the current Entity iterated, to be used by Interface tools.

The documentation for this class was generated from the following file:

- Interface_EntityIterator.hxx